{%- include global_variables.html -%}
<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    {% if page.layout == 'work_cited' and jekyll.environment == 'production '%}
      {%- assign url = page.book.works_cited.url | absolute_url | append: '#' | append: page.slug -%}
      <meta http-equiv="refresh" content="0;url={{ url }}" />
    {% endif %}

    {% comment %}
      Bust cache when we build the site.
    {% endcomment %}
    <link href="/assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet">

    <script type="text/javascript" src="/env.js?{{ site.time | date: '%s' }}"></script>
    <script defer src="/assets/js/pack.js?{{ site.time | date: '%s' }}"></script>

    {% comment %}
      Preload fonts
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}
    {% include_cached preload_font.html font='assets/fonts/opensans/v20/mem5YaGs126MiZpBA-UN7rgOUuhs-subset.woff2' %}
    {% include_cached preload_font.html font='assets/fonts/opensans/v20/mem5YaGs126MiZpBA-UN_r8OUuhs-subset.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">

    {% if jekyll.environment == 'production' %}
      {% seo %}
      {% feed_meta %}
      {% include_cached google-codes.html %}
    {% endif %}
  </head>
  <body class="d-flex d-print-block flex-column justify-content-between align-items-center min-h-100vh">
    <a class="sr-only sr-only-focusable" href="#content">{{ t.skip_to_content }}</a>

    {%- include_cached navbar.html cache_key=current_book -%}

    <main class="flex-grow-1 w-100{% if site.book_layouts contains page.layout or page.layout == 'home' %} background-black background{% endif %}">
      {{ content }}
    </main>

    {%- include_cached footer.html cache_key=current_book -%}

    <div data-turbo-permanent>
      {% include_cached device_detector.html %}
    </div>
  </body>
</html>
